SearchTOCItem

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class SearchTOCItem

    java.lang.Object
      |
      +--javax.help.TreeItem
            |
            +--javax.help.TOCItem
                  |
                  +--javax.help.SearchTOCItem

All Implemented Interfaces:
  java.io.Serializable

public class SearchTOCItem
extends TOCItem

Stores Search TOC items. This class extends TOCItems with additonal search hits. Can be used as part of the TOC tree or as an appendage to the tree for items not contained in the tree.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.help.TreeItem
`COLLAPSE, DEFAULT_EXPANSION, EXPAND`

Constructor Summary
`SearchTOCItem(Map.ID id, Map.ID imageID, HelpSet hs, java.util.Locale locale)`
`SearchTOCItem(SearchItem item)`

Method Summary
`void` | `addSearchHit(SearchHit si)` Adds a SearchHit.
`double` | `getConfidence()`
`java.util.Enumeration` | `getConfidences()`
`java.util.Enumeration` | `getSearchHits()`
`java.net.URL` | `getURL()` Returns the URL for the item.
`int` | `hitCount()`
`boolean` | `inTOC()`

Methods inherited from class javax.help.TOCItem
`getImageID`

Methods inherited from class javax.help.TreeItem
`getExpansionType, getHelpSet, getID, getLocale, getMergeType, getName, getPresentation, getPresentationName, setExpansionType, setHelpSet, setID, setMergeType, setName, setPresentation, setPresentationName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchTOCItem

    public SearchTOCItem(Map.ID id,
                         Map.ID imageID,
                         HelpSet hs,
                         java.util.Locale locale)

### SearchTOCItem

    public SearchTOCItem(SearchItem item)

Method Detail

### addSearchHit

    public void addSearchHit(SearchHit si)

  Adds a SearchHit.

### getURL

    public java.net.URL getURL()

  Description copied from class: `TreeItem`
  Returns the URL for the item.

  Overrides:
    `getURL` in class `TreeItem`

### getConfidence

    public double getConfidence()

### getConfidences

    public java.util.Enumeration getConfidences()

### inTOC

    public boolean inTOC()

### getSearchHits

    public java.util.Enumeration getSearchHits()

### hitCount

    public int hitCount()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD